Summary:	Core Rules for mod_security
Name:		apache-mod_security-crs
Version:	2.2.9
Release:	%mkrel 5
License:	ASL 2.0
Group:		System/Servers
URL:		http://www.modsecurity.org/
# https://github.com/SpiderLabs/owasp-modsecurity-crs/tarball/master
Source0:	SpiderLabs-owasp-modsecurity-crs-2.2.9-19-ga57031b.tar.gz
Requires:	apache-mod_security >= 2.9.0
BuildArch:	noarch

%description
This package provides the base rules for mod_security.

%package extras
Summary:    Additional mod_security rules 
Group:      System/Servers
Requires:   %{name} = %{version}-%{release}

%description    extras
This package provides supplementary rules for mod_security.

%prep

%setup -q -n SpiderLabs-owasp-modsecurity-crs-a57031b

%build

%install
install -d %{buildroot}%{_sysconfdir}/httpd/conf/modsecurity.d

install -d %{buildroot}%{_prefix}/lib/modsecurity.d/base_rules
install -d %{buildroot}%{_prefix}/lib/modsecurity.d/optional_rules
install -d %{buildroot}%{_prefix}/lib/modsecurity.d/experimental_rules
install -d %{buildroot}%{_prefix}/lib/modsecurity.d/slr_rules

install -m 644 modsecurity_crs_10_setup.conf.example \
    %{buildroot}%{_sysconfdir}/httpd/conf/modsecurity.d/modsecurity_crs_10_config.conf
install -m 644 base_rules/* %{buildroot}%{_prefix}/lib/modsecurity.d/base_rules/
install -m 644 optional_rules/* %{buildroot}%{_prefix}/lib/modsecurity.d/optional_rules/
install -m 644 experimental_rules/* %{buildroot}%{_prefix}/lib/modsecurity.d/experimental_rules/
install -m 644 slr_rules/* %{buildroot}%{_prefix}/lib/modsecurity.d/slr_rules

# activate base_rules
for f in `ls %{buildroot}/%{_prefix}/lib/modsecurity.d/base_rules/` ; do 
    ln -s %{_prefix}/lib/modsecurity.d/base_rules/$f \
        %{buildroot}%{_sysconfdir}/httpd/conf/modsecurity.d/$f; 
done

%files
%doc CHANGES INSTALL LICENSE README*
%config(noreplace) %{_sysconfdir}/httpd/conf/modsecurity.d/*
%{_prefix}/lib/modsecurity.d/base_rules

%files extras
%{_prefix}/lib/modsecurity.d/optional_rules
%{_prefix}/lib/modsecurity.d/experimental_rules
%{_prefix}/lib/modsecurity.d/slr_rules


%changelog
* Tue Feb 11 2020 umeabot <umeabot> 2.2.9-5.mga8
+ Revision: 1490403
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.2.9-4.mga7
+ Revision: 1261989
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.2.9-3.mga7
+ Revision: 1260193
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.2.9-2.mga7
+ Revision: 1259757
- Mageia 7 Mass Rebuild

* Thu Feb 25 2016 oden <oden> 2.2.9-1.mga6
+ Revision: 979143
- 2.2.9

* Thu Feb 04 2016 umeabot <umeabot> 2.2.7-5.mga6
+ Revision: 936246
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.7-4.mga5
+ Revision: 741605
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.7-3.mga5
+ Revision: 677847
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.2.7-2.mga4
+ Revision: 525582
- Mageia 4 Mass Rebuild

* Fri May 31 2013 oden <oden> 2.2.7-1.mga4
+ Revision: 433716
- fix build
- 2.2.7

* Fri Jan 11 2013 umeabot <umeabot> 2.2.6-2.mga3
+ Revision: 345864
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 oden <oden> 2.2.6-1.mga3
+ Revision: 334178
- 2.2.6

* Sat Aug 25 2012 guillomovitch <guillomovitch> 2.2.5-1.mga3
+ Revision: 283933
- imported package apache-mod_security-crs

